
Smart Proxy - Bug #665

smart-proxy fails to start with old Sinatra version

02/13/2011 10:44 AM - Jochen Schalanda

Status: Closed   

Priority: Low   

Assignee: Jochen Schalanda   

Category:    

Target version: 0.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On systems with an old version of Sinatra installed (<=1.0.a), smart-proxy fails to start with the following message:

./bin/../lib/sinatra-patch.rb:26:in `run!': undefined local variable or method `bind' for SmartPro

xy:Class (NameError)

        from bin/smart-proxy:63

 On systems with a Sinatra version >=1.0, everything is working fine.

Associated revisions

Revision 52432e58 - 03/15/2011 04:09 PM - Jochen Schalanda

Fixes #665 - Set option 'bind' or 'host' depending on Sinatra version.

History

#1 - 02/13/2011 11:03 AM - Jochen Schalanda

- File 0001-Fixes-bug-665-Set-option-bind-or-host-depending-on-S.patch added

For reference see https://github.com/sinatra/sinatra/commit/849a5a95fc33e6ddd3633863c4bc3ee0065c503a for the changes introduced in Sinatra.

#2 - 03/15/2011 03:54 AM - Ohad Levy

- Assignee set to Jochen Schalanda

- Target version set to 0.1

#3 - 03/15/2011 04:19 PM - Jochen Schalanda

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 52432e58ba7618a8cc92c83ba79125d917e828b9.

#4 - 03/15/2011 04:20 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

0001-Fixes-bug-665-Set-option-bind-or-host-depending-on-S.patch 869 Bytes 02/13/2011 Jochen Schalanda
